<MACROS>
<MACRO name="Apply Layout to Document" lang="JScript" id="55" desc="Apply source layout to entire document">
<![CDATA[
   var viewWYSIWYG = 0;
   var viewTagsOn = 1;
   var viewSource = 2;
   if (ActiveDocument.ViewType == viewSource)
      {
      ActiveDocument.Layout();
      }
   else
      {
      Application.Alert("Applying source layout only works in source view.\nSwitch to source view and try again.");
      }
 ]]></MACRO>
<MACRO name="Apply Layout to Selection" lang="JScript" id="53" desc="Apply source layout to the current selection">
<![CDATA[
   var viewWYSIWYG = 0;
   var viewTagsOn = 1;
   var viewSource = 2;
   if (ActiveDocument.ViewType == viewSource)
      {
      Selection.Layout();
      }
   else
      {
      Application.Alert("Applying source layout only works in source view.\nSwitch to source view and try again.");
      }
 ]]></MACRO>    
<MACRO name="ExpandCellRight" key="Ctrl+Shift+O" lang="VBScript" id="20711">
' SoftQuad HoTMetaL PRO 5 VBSCRIPT:
Selection.MergeCellRight 
</MACRO>
<MACRO name="ExpandCellLeft" key="Ctrl+Shift+U" lang="VBScript" id="20709">
' SoftQuad HoTMetaL PRO 5 VBSCRIPT:
Selection.MergeCellLeft 
</MACRO>
<MACRO name="ExpandCellUp" key="Ctrl+Shift+8" lang="VBScript" id="20712">
' SoftQuad HoTMetaL PRO 5 VBSCRIPT:
Selection.MergeCellUp 
</MACRO>
<MACRO name="ExpandCellDown" key="Ctrl+Shift+K" lang="VBScript" id="20710">
' SoftQuad HoTMetaL PRO 5 VBSCRIPT:
Selection.MergeCellDown 
</MACRO>
<MACRO name="ContractCellFromLeft" key="Ctrl+Alt+Shift+O" lang="VBScript" id="20726"><![CDATA[
' SoftQuad Script Language VBScript:
Selection.ContractCell 0 'sqContractFromLeft
]]></MACRO>
<MACRO name="ContractCellFromRight" key="Ctrl+Alt+Shift+U" lang="VBScript" id="20727"><![CDATA[
' SoftQuad Script Language VBScript:
Selection.ContractCell 2 'sqContractFromRight
]]></MACRO>
<MACRO name="ContractCellFromTop" key="Ctrl+Alt+Shift+8" lang="VBScript" id="20728"><![CDATA[
' SoftQuad Script Language VBScript:
Selection.ContractCell 1 'sqContractFromTop
]]></MACRO>
<MACRO name="ContractCellFromBottom" key="Ctrl+Alt+Shift+K" lang="VBScript" id="20725"><![CDATA[
' SoftQuad Script Language VBScript:
Selection.ContractCell 3 'sqContractFromBottom
]]></MACRO>
<MACRO name="CellAlignTopLeft" key="Ctrl+Alt+7" lang="VBScript" id="81">
' SoftQuad HoTMetaL PRO 5 VBSCRIPT:
Selection.ElementAttribute("ALIGN", "TD", 0) = "LEFT"
Selection.ElementAttribute("VALIGN", "TD", 0) = "TOP"
</MACRO>
<MACRO name="CellAlignTopCenter" key="Ctrl+Alt+8" lang="VBScript" id="82">
' SoftQuad HoTMetaL PRO 5 VBSCRIPT:
Selection.ElementAttribute("ALIGN", "TD", 0) = "CENTER"
Selection.ElementAttribute("VALIGN", "TD", 0) = "TOP"
</MACRO>
<MACRO name="CellAlignTopRight" key="Ctrl+Alt+9" lang="VBScript" id="83">
' SoftQuad HoTMetaL PRO 5 VBSCRIPT:
Selection.ElementAttribute("ALIGN", "TD", 0) = "RIGHT"
Selection.ElementAttribute("VALIGN", "TD", 0) = "TOP"
</MACRO>
<MACRO name="CellAlignMiddleLeft" key="Ctrl+Alt+U" lang="VBScript" id="84">
' SoftQuad HoTMetaL PRO 5 VBSCRIPT:
Selection.ElementAttribute("ALIGN", "TD", 0) = "LEFT"
Selection.ElementAttribute("VALIGN", "TD", 0) = "MIDDLE"
</MACRO>
<MACRO name="CellAlignMiddleCenter" key="Ctrl+Alt+I" lang="VBScript" id="85">
' SoftQuad HoTMetaL PRO 5 VBSCRIPT:
Selection.ElementAttribute("ALIGN", "TD", 0) = "CENTER"
Selection.ElementAttribute("VALIGN", "TD", 0) = "MIDDLE"
</MACRO>
<MACRO name="CellAlignMiddleRight" key="Ctrl+Alt+O" lang="VBScript" id="86">
' SoftQuad HoTMetaL PRO 5 VBSCRIPT:
Selection.ElementAttribute("ALIGN", "TD", 0) = "RIGHT"
Selection.ElementAttribute("VALIGN", "TD", 0) = "MIDDLE"
</MACRO>
<MACRO name="CellAlignBottomLeft" key="Ctrl+Alt+J" lang="VBScript" id="87">
' SoftQuad HoTMetaL PRO 5 VBSCRIPT:
Selection.ElementAttribute("ALIGN", "TD", 0) = "LEFT"
Selection.ElementAttribute("VALIGN", "TD", 0) = "BOTTOM"
</MACRO>
<MACRO name="CellAlignBottomCenter" key="Ctrl+Alt+K" lang="VBScript" id="88">
' SoftQuad HoTMetaL PRO 5 VBSCRIPT:
Selection.ElementAttribute("ALIGN", "TD", 0) = "CENTER"
Selection.ElementAttribute("VALIGN", "TD", 0) = "BOTTOM"
</MACRO>
<MACRO name="CellAlignBottomRight" key="Ctrl+Alt+L" lang="VBScript" id="89">
' SoftQuad HoTMetaL PRO 5 VBSCRIPT:
Selection.ElementAttribute("ALIGN", "TD", 0) = "RIGHT"
Selection.ElementAttribute("VALIGN", "TD", 0) = "BOTTOM"
</MACRO>
<MACRO name="CellAlignNone" key="Ctrl+Alt+0" lang="VBScript" id="90"><![CDATA[
' SoftQuad Script Language VBScript:
Selection.ElementAttribute("ALIGN", "TD", 0) = ""
Selection.ElementAttribute("VALIGN", "TD", 0) = ""
]]></MACRO>

<MACRO name="Refresh Macros" lang="JScript" id="61"><![CDATA[
Application.RefreshMacros();
Application.Alert("Macros have been reloaded.");
]]></MACRO> 
 
</MACROS>
